add-type @"
    using System.Net;
    using System.Security.Cryptography.X509Certificates;
    public class TrustAllCertsPolicy : ICertificatePolicy {
        public bool CheckValidationResult(
            ServicePoint srvPoint, X509Certificate certificate,
            WebRequest request, int certificateProblem) {
            return true;
        }
    }
"@
[System.Net.ServicePointManager]::CertificatePolicy = New-Object TrustAllCertsPolicy
$baseURL = "http://localhost:8080"
$cred = get-credential
$pair = "$($cred.username):$($cred.GetNetworkCredential().password)"
$encodedCreds = [System.Convert]::ToBase64String([System.Text.Encoding]::ASCII.GetBytes($pair))
$basicAuthValue = "Basic $encodedCreds"
$Headers = @{
    Authorization = $basicAuthValue;
    Accept = "application/json";
    "Content-Type" = "application/json"
}
$repoRequest = Invoke-WebRequest -Uri "$baseURL/rest/bitbucket/1.0/repository" -Headers $Headers
$repos = ($reporequest.Content|ConvertFrom-Json).repositories
foreach ($repo in $repos)
{
    if ($repo.linked -eq "True") 
    {
        "Disabling repo $($repo.repositoryUrl)"
        Invoke-WebRequest -Method Post -Uri "$baseURL/rest/bitbucket/1.0/repository/$($repo.id)/disable" -Headers $Headers
        "Re-enabling repo $($repo.repositoryUrl)"
        Invoke-WebRequest -Method Post -Uri "$baseURL/rest/bitbucket/1.0/repository/$($repo.id)/enable" -Headers $Headers
    }
    else
    {
        "Skipping disabled repo $($repo.repositoryUrl)"
    }
}